Last Comment Bug 607544 - Remove DDRAW junk from configure, missed part
: Remove DDRAW junk from configure, missed part
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Windows Server 2003
: -- trivial (vote)
: mozilla6
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on:
Blocks: 600714
  Show dependency treegraph
 
Reported: 2010-10-26 20:18 PDT by Serge Gautherie (:sgautherie)
Modified: 2011-04-17 15:49 PDT (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix


Attachments
(Av1) Missed cleanup, s/if/case/ (9.38 KB, patch)
2010-10-26 20:25 PDT, Serge Gautherie (:sgautherie)
ted: review+
benjamin: approval2.0-
Details | Diff | Review
(Av1a) Missed cleanup, s/if/case/ [Checked in: Comment 6] (8.98 KB, patch)
2011-04-16 15:17 PDT, Serge Gautherie (:sgautherie)
bugzillamozillaorg_serge_20140323: review+
Details | Diff | Review
(Bv1-CC) Sync' comm-central [Checked in: Comment 9] (1.45 KB, patch)
2011-04-17 07:08 PDT, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2010-10-26 20:18:25 PDT
Moving patch to here, per bug 600714 comment 7.
Comment 1 Serge Gautherie (:sgautherie) 2010-10-26 20:25:55 PDT
Created attachment 486266 [details] [diff] [review]
(Av1) Missed cleanup, s/if/case/
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-10-26 20:42:11 PDT
Comment on attachment 486266 [details] [diff] [review]
(Av1) Missed cleanup, s/if/case/

I'm not the right person to review this - sorry, I should have mentioned that in the other bug.
Comment 3 Serge Gautherie (:sgautherie) 2010-11-24 23:43:26 PST
vladimir, ping for review.
Comment 4 Serge Gautherie (:sgautherie) 2010-11-30 10:32:46 PST
Comment on attachment 486266 [details] [diff] [review]
(Av1) Missed cleanup, s/if/case/

"approval2.0=?":
Remove dead configure code. No risk.
Comment 5 Serge Gautherie (:sgautherie) 2011-04-16 15:17:38 PDT
Created attachment 526523 [details] [diff] [review]
(Av1a) Missed cleanup, s/if/case/
[Checked in: Comment 6]

Av1, unbitrotted.

Succeeded as
http://tbpl.mozilla.org/?tree=MozillaTry&rev=7698a175084a
Comment 6 Serge Gautherie (:sgautherie) 2011-04-17 06:52:38 PDT
Comment on attachment 526523 [details] [diff] [review]
(Av1a) Missed cleanup, s/if/case/
[Checked in: Comment 6]

http://hg.mozilla.org/mozilla-central/rev/5c5d9ed49e5e
Comment 7 Serge Gautherie (:sgautherie) 2011-04-17 07:08:45 PDT
Created attachment 526586 [details] [diff] [review]
(Bv1-CC) Sync' comm-central
[Checked in: Comment 9]

I can add MOZILLA_5_0_BRANCH checks if you want, but we don't really care.
Comment 8 Justin Wood (:Callek) 2011-04-17 13:37:46 PDT
Comment on attachment 526586 [details] [diff] [review]
(Bv1-CC) Sync' comm-central
[Checked in: Comment 9]

Good call, no need for a branch-specific ifdef here.
Comment 9 Serge Gautherie (:sgautherie) 2011-04-17 15:49:17 PDT
Comment on attachment 526586 [details] [diff] [review]
(Bv1-CC) Sync' comm-central
[Checked in: Comment 9]

http://hg.mozilla.org/comm-central/rev/fa49e872eab7

Note You need to log in before you can comment on or make changes to this bug.